const { Events, EmbedBuilder } = require('discord.js');

module.exports = {
  name: Events.GuildMemberRemove,
  async execute({ client, log }, member) {
    log.Info(`${member.user.username} has left`);

    const newMemberEmbed = new EmbedBuilder()
      .setTitle(`${member.user.username} has left!`)
      .setColor(process.env.EMBED_COLOR);

    const channel = await client.channels.cache.get(process.env.LOG_CHANNEL_ID);
    channel.send({ embeds: [newMemberEmbed] });
  },
};
